AUtilsTest Class Reference

`#include <AUtilsTest.h>`

Inheritance diagram for AUtilsTest:

## Public Member Functions

| AUtilsTest (TestSuite *s)
void | testLog2 (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
virtual void | setup (void)
void | run (void)
virtual void | cleanup (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Member Functions

bool | genericTestLog2 (int n, double res)

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## AUtilsTest()

AUtilsTest::AUtilsTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## genericTestLog2()

bool AUtilsTest::genericTestLog2 | ( | int | n,
|  | double | res )

private

## testLog2()

void AUtilsTest::testLog2 | ( | void |  | ) |

The documentation for this class was generated from the following files:

- AUtilsTest.h
- AUtilsTest.cc